Index: c/src/lib/libbsp/unix/posix/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/clock/Makefile.am	(revision 49e05f41316997008b8af1bb76f6878532246f50)
+++ c/src/lib/libbsp/unix/posix/clock/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,9 +5,8 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/clock.rel
+PGM = $(ARCH)/clock.rel
 
-## C source names
 C_FILES = clock.c
-C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
 OBJS = $(C_O_FILES)
@@ -20,13 +19,15 @@
 #
 
-$(PGM): ${OBJS}
+$(PGM): $(OBJS)
 	$(make-rel)
-
-all-local: ${ARCH} $(PGM)
 
 # the .rel file built here will be put into libbsp.a by
 #    ../wrapup/Makefile
 
-EXTRA_DIST = $(C_FILES)
+all-local: $(ARCH) $(OBJS) $(PGM)
+
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = clock.c
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/unix/posix/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/console/Makefile.am	(revision 49e05f41316997008b8af1bb76f6878532246f50)
+++ c/src/lib/libbsp/unix/posix/console/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,9 +5,8 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/console.rel
+PGM = $(ARCH)/console.rel
 
-## C source names
 C_FILES = console.c
-C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
 OBJS = $(C_O_FILES)
@@ -20,12 +19,14 @@
 #
 
-$(PGM): ${OBJS}
+$(PGM): $(OBJS)
 	$(make-rel)
-
-all-local: ${ARCH} $(PGM)
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-EXTRA_DIST = $(C_FILES)
+all-local: $(ARCH) $(OBJS) $(PGM)
+
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = console.c
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/unix/posix/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/include/Makefile.am	(revision 49e05f41316997008b8af1bb76f6878532246f50)
+++ c/src/lib/libbsp/unix/posix/include/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -6,5 +6,4 @@
 
 H_FILES = bsp.h
-noinst_HEADERS = $(H_FILES)
 
 $(PROJECT_INCLUDE):
@@ -17,10 +16,10 @@
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += \
-$(PROJECT_INCLUDE) \
-$(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h) \
-$(PROJECT_INCLUDE)/coverhd.h
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(H_FILES:%.h=$(PROJECT_INCLUDE)/%.h) \
+    $(PROJECT_INCLUDE)/coverhd.h
 
 all-local: $(TMPINSTALL_FILES)
 
+EXTRA_DIST = bsp.h
+
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/unix/posix/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/shmsupp/Makefile.am	(revision 49e05f41316997008b8af1bb76f6878532246f50)
+++ c/src/lib/libbsp/unix/posix/shmsupp/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,9 +5,8 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/shmsupp.rel
+PGM = $(ARCH)/shmsupp.rel
 
-## C source names
 C_FILES = addrconv.c getcfg.c cause_intr.c lock.c mpisr.c
-C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
 OBJS = $(C_O_FILES)
@@ -20,16 +19,16 @@
 #
 
-$(PGM): ${OBJS}
+$(PGM): $(OBJS)
 	$(make-rel)
 
 if HAS_MP
-all-local: ${ARCH} $(PGM)
-else
-all-local:
+all-local: $(ARCH) $(OBJS) $(PGM)
 endif
 
 # the .rel file built here will be put into libbsp.a by ../wrapup/Makefile
 
-EXTRA_DIST = $(C_FILES) README
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = README addrconv.c cause_intr.c getcfg.c lock.c mpisr.c
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/unix/posix/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/timer/Makefile.am	(revision 49e05f41316997008b8af1bb76f6878532246f50)
+++ c/src/lib/libbsp/unix/posix/timer/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,9 +5,8 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/timer.rel
+PGM = $(ARCH)/timer.rel
 
-## C source names
 C_FILES = timer.c
-C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
 OBJS = $(C_O_FILES)
@@ -22,11 +21,15 @@
 AM_CFLAGS = $(CFLAGS_OS_V)
 
-$(PGM): ${OBJS}
+$(PGM): $(OBJS)
 	$(make-rel)
-
-all-local: ${ARCH} $(PGM)
 
 # the .rel file built here will be put into libbsp.a by
 #    ../wrapup/Makefile
 
+all-local: $(ARCH) $(OBJS) $(PGM)
+
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = timer.c
+
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/unix/posix/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/wrapup/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
+++ c/src/lib/libbsp/unix/posix/wrapup/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -0,0 +1,43 @@
+## 
+## $Id$
+## 
+
+AUTOMAKE_OPTIONS = foreign 1.4
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(top_srcdir)/../../../../../../automake/lib.am
+
+if HAS_MP
+BSP_MP_O_FILES = shmsupp
+endif
+BSP_FILES = startup clock console timer $(BSP_MP_O_FILES)
+
+# pieces to pick up out of libcpu/unix
+
+if HAS_MP
+GENERIC_MP_REL_FILES = shmdr
+endif
+GENERIC_FILES = $(GENERIC_MP_REL_FILES)
+
+# bummer; have to use $foreach since % pattern subst rules only replace 1x
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
+    $(foreach piece, $(GENERIC_FILES), ../../../$(piece)/$(ARCH)/$(piece).rel)
+LIB = $(ARCH)/libbsp.a
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+$(LIB): $(OBJS)
+	$(make-library)
+
+$(PROJECT_RELEASE)/lib/libbsp$(LIB_VARIANT).a: $(LIB)
+	$(INSTALL_DATA) $< $@
+
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/libbsp$(LIB_VARIANT).a
+
+all-local: $(ARCH) $(OBJS) $(LIB) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(LIB)
+
+include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/unix/posix/wrapup/Makefile.in
===================================================================
--- c/src/lib/libbsp/unix/posix/wrapup/Makefile.in	(revision 49e05f41316997008b8af1bb76f6878532246f50)
+++ 	(revision )
@@ -1,69 +1,0 @@
-#
-#  $Id$
-#
-
-@SET_MAKE@
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
-top_builddir = ..
-subdir = wrapup
-
-RTEMS_ROOT = @RTEMS_ROOT@
-PROJECT_ROOT = @PROJECT_ROOT@
-
-VPATH = @srcdir@
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(RTEMS_ROOT)/make/lib.cfg
-
-INSTALL_CHANGE = @INSTALL_CHANGE@
-
-BSP_MP_O_PIECES_yes_V = shmsupp
-BSP_MP_O_PIECES = $(BSP_MP_O_PIECES_$(HAS_MP)_V)
-BSP_PIECES = startup clock console timer $(BSP_MP_O_PIECES)
-
-# pieces to pick up out of libcpu/unix
-CPU_PIECES =
-
-GENERIC_MP_REL_PIECES_yes_V = shmdr
-GENERIC_MP_REL_PIECES = $(GENERIC_MP_REL_PIECES_$(HAS_MP)_V)
-GENERIC_PIECES = $(GENERIC_MP_REL_PIECES)
-
-# bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_PIECES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(foreach piece, $(CPU_PIECES), \
-    ../../../../libcpu/$(RTEMS_CPU)/$(piece)/$(ARCH)/$(piece).rel) $(foreach \
-    piece, $(GENERIC_PIECES), ../../../$(piece)/$(ARCH)/$(piece).rel)
-LIB = $(ARCH)/libbsp.a
-
-#
-# (OPTIONAL) Add local stuff here using +=
-#
-
-DEFINES +=
-CPPFLAGS +=
-CFLAGS +=
-
-LD_PATHS +=
-LD_LIBS +=
-LDFLAGS +=
-
-#
-# Add your list of files to delete here.  The config files
-#  already know how to delete some stuff, so you may want
-#  to just run 'make clean' first to see what gets missed.
-#  'make clobber' already includes 'make clean'
-#
-
-CLEAN_ADDITIONS +=
-CLOBBER_ADDITIONS +=
-
-$(LIB): ${OBJS}
-	$(make-library)
-
-all: ${ARCH} $(SRCS) $(LIB)
-	$(INSTALL_VARIANT) -m 644 $(LIB) $(PROJECT_RELEASE)/lib
-
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	cd $(top_builddir) \
-	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
